Subject: Re: [PATCH] igmp: spin_lock_bh in timer (Re: BUG: soft lockup detected on CPU#0!)

From: Jarek Poplawski <[email-masked]>
Date: Fri, 22 Dec 2006 08:42:09 +0100

On Fri, Dec 22, 2006 at 08:13:08AM +0100, Jarek Poplawski wrote:
> On 20-12-2006 03:13, Ben Greear wrote:
> > This is from 2.6.18.2 kernel with my patch set.  The MAC-VLANs are in 
> > active use.
> >  From the backtrace, I am thinking this might be a generic problem, 
> > however.
> > 
> > Any ideas about what this could be?  It seems to be reproducible every 
> > day or
...
> If it doesn't help, I hope lockdep will be more
> precise when you'll upgrade to 2.6.19 or higher.

... or when you enable lockdep in 2.6.18 (I've
forgotten it's there alredy!).

Jarek P.